import ViewMessageService from '../view-message-service';
/**
 * 实体看板项布局面版视图消息服务对象基类
 *
 * @export
 * @class ViewMsg76MessageServiceBase
 */
export default class ViewMsg76MessageServiceBase extends ViewMessageService {


    /**
     * Creates an instance of  ViewMsg76MessageServiceBase.
     * 
     * @param {*} [opts={}]
     * @memberof  ViewMsg76MessageServiceBase
     */
    constructor(opts: any = {}) {
        super(opts);
    }

    /**
     * 初始化基础参数
     * 
     * @memberof ViewMsg76MessageServiceBase
     */
    public initBasicParam(){
        this.id = "9E2EB681-05DD-4072-87ED-43DCD5C14CEF";
        this.name = "实体看板项布局面版";
        this.codename = "ViewMsg76";
        this.title = "";
        this.content = "本示例展示实体看板支持项布局面板功能。";
        this.closeMode = 0;
        this.position = "TOP";
        this.type = "error";
        this.isEnableRemove = false;
        this.order = 1;
        this.dynamicMode = "STATIC";
        this.hasMessageTemp = false;
        this.messageType = "TEXT";
    }

    /**
     * 转化消息模板标题和内容
     *      
     * @target {*} target 返回目标数据
     * @param {*} context 应用上下文
     * @param {*} viewparam 视图参数
     * @param {*} item 源数据
     * 
     * @memberof ViewMsg76MessageServiceBase
     */
    public translateMessageTemp(target:any,context:any,viewparam:any,item?:any){
        if(this.hasMessageTemp && Object.is(this.messageType,"HTML")){
            Object.assign(target,{title:``});
            Object.assign(target,{content:``});
        }
        if(this.hasMessageTemp && Object.is(this.messageType,"TEXT")){
            Object.assign(target,{title:""});
            Object.assign(target,{content:""});
        }
    }

}